Bug 22297 - [Cairo][Canvas] fillText()/strokeText() don't respect globalAlpha
Summary: [Cairo][Canvas] fillText()/strokeText() don't respect globalAlpha
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC All
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-11-16 11:33 PST by Dirk Schulze
Modified: 2009-02-27 00:21 PST (History)
0 users

See Also:


Attachments
TextCase (655 bytes, text/html)
2008-11-16 11:35 PST, Dirk Schulze
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dirk Schulze 2008-11-16 11:33:58 PST
fillText() or strokeText() don't respect the globalAlpha. It can be fixed by using globalAlpha directly in drawTextInternal(), but it could be better to add globalAlpha support to FontMac.mm and the other ports. Other parts of WebKit (like SVG) could benefit of this.
Comment 1 Dirk Schulze 2008-11-16 11:35:59 PST
Created attachment 25199 [details]
TextCase

A testCase for the issue. The globalAlpha is set to 0.5 at the beginning.
Comment 2 Mark Rowe (bdash) 2008-11-17 05:55:23 PST
On the Mac with the latest nightly build, the text in the test case already appears to respect globalAlpha.
Comment 3 Dirk Schulze 2008-11-17 13:03:31 PST
Only Cairo has this regression.
Comment 4 Dirk Schulze 2009-02-27 00:21:59 PST
fixed in r41279.